package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunManagerProjectDO extends BasicDO{
    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789ManagermentProjectNo";

    @JsonProperty("SeqNo")
    private String seqNo;

    @JsonProperty("F0000002")
    private String projectName;
}
