package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.galaxis.capsule.bo.ChuanyunObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import javax.persistence.Transient;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunU9DepartmentDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789Sb95ajzudvc8qtmiqe29topk22";

    @JsonProperty("F0000025")
    private String projectName;

    @JsonProperty("F0000061")
    private String actualDepartment;

    @JsonProperty("F0000062")
    private String departmentName;

    @JsonProperty("F0000063")
    private String departmentCode;

    @Transient
    @JsonProperty("F0000061Object")
    private ChuanyunObject actualDepartmentObject;


}
